ServerEvents.recipes(event => {
    event.remove({ output: 'advgenerators:iron_frame' })
    event.shaped(
        Item.of('advgenerators:iron_frame', 4),
        [
            'CAC',
            'ABA',
            'CAC'
        ],
        {
            A: 'minecraft:iron_ingot',
            B: [
                '#pneumaticcraft:plastic_sheets', 'industrialforegoing:plastic'
            ],
            C: 'thermal:cured_rubber'
        }
    )
    event.shaped(
        Item.of('advgenerators:iron_frame', 2),
        [
            ' A ',
            'ABA',
            ' A '
        ],
        {
            A: 'minecraft:iron_ingot',
            B: [
                '#pneumaticcraft:plastic_sheets', 'industrialforegoing:plastic'
            ],
            C: 'thermal:cured_rubber'
        }
    )
    event.remove({ output: 'advgenerators:controller' })
    event.shaped(
        Item.of('advgenerators:controller'),
        [
            'ABA',
            'CDC',
            'AEA'
        ],
        {
            A: '#forge:wires/copper',
            B: 'minecraft:quartz',
            C: 'minecraft:redstone',
            D: 'ae2:printed_calculation_processor',
            E: '#forge:plates/iron'
        }
    )
})